MNDeployment # 3221 (Operational): EDAC member node 

EDAC node name and description should be more informative

2013-12-12 20:07 - Rob Nahf

Status: Closed Start date: 2013-12-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

The node's name and description will be visible through applications (ONEmercury for example), and should be informative for users

unfamiliar with EDAC GSTORE.

I tried finding information on the scope of GSTORE on the EDAC site, but did not find any information - didn't even find mention to

GSTORE.  The GSTORE landing page (http://gstore.unm.edu) is similarly unlinked to EDAC, except for a logo and copyright at the

very bottom of a long page.

see https://cn.dataone.org/cn/v1/node for examples of names and descriptions from other nodes.

Typically, the description provides some scoping information about the collection, and the name is a either the name of the

organization (Earth Data Analysis Center), or if the organization has multiple collections, a combination of the organization and

collection name.  Given that both EDAC and GSTORE are in the node id, perhaps both should be in the name.  (The EDAC site has

"Image Archive" and "RGIS Clearinghouse" sections on it's page - are they other collections EDAC maintains?)

History

#1 - 2014-01-15 20:39 - Rob Nahf

A technical description of GSTORE:

All of the data available through the data portal is stored on the GSTORE platform.

The Geographic Storage, Transformation and Retrieval Engine (GSTORE) has been developed as a

flexible, scalable data management, discovery and delivery platform that supports a combination

of Open and Community standards for client access. It is built upon the principle of a services

oriented architecture that provides a layer of abstraction between data and metadata management

technologies and the client applications that consume the services published by the platform.

The GSTORE API is the basis for all of the data portal’s functionality - dataset search,

dataset access, documentation access, and OGC service access

perhaps something like this is more appropriate:

Earth Data Analysis Center's (EDAC) Geographical Storage, Transformation and Retrieval Engine (GSTORE) platform

archives data produced by various NM organizations, including NM EPSCoR and RGIS.  GSTORE primarily houses

GIS and other digital documents relevant to state agencies, local government, and scientific researchers.  See RGIS

and NM EPSCoR for more information on the scope of data.  It currently uses the FGDC metadata standard to describe

all of it's holdings.
#2 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#3 - 2014-02-04 19:58 - Rob Nahf

- % Done changed from 0 to 50

- Status changed from New to In Progress

Decided by Karl:

Here goes on the remaining items:

nodeid: urn:node:EDACGSTORE   (this covers the possibility of there being other potential GStore instances out there in the world that would also be

hosting member nodes)

name: EDAC Gstore Repository   (this allows us to consider deploying different/additional repositories some time in the future)

description: (use option B) below

the touched-up version:

Earth Data Analysis Center's (EDAC) Geographical Storage, Transformation and Retrieval Engine (Gstore) platform archives data

produced by various NM organizations, including NM EPSCoR and RGIS.  Gstore primarily houses GIS and other digital

documents relevant to state agencies, local government, and scientific researchers.  See RGIS and NM EPSCoR

for more information on the scope of those collections.  Gstore currently uses the FGDC metadata standard

to describe it's holdings.

#4 - 2014-03-31 20:40 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 50 to 100

done

#5 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#6 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
